name: Build & upload the staging branch apk to Firebase

on:
  push:
    branches: [ staging ]

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v1
      - name: set up JDK 1.8
        uses: actions/setup-java@v1
        with:
          java-version: 1.8
      - run: echo "y" | sudo ${ANDROID_HOME}/tools/bin/sdkmanager --install "ndk;21.1.6352462"
      - name: setup keys and passwords
        run: |
          echo "${{secrets.RELEASE_KEYSTORE}}" > release.keystore.asc
          gpg -d -v --passphrase "${{secrets.RELEASE_KEYSTORE_PASSPHRASE}}" --batch release.keystore.asc > keystore/release.keystore
      - name: build release
        run: ./gradlew assembleStagingRelease
        env:
          KEY_ALIAS: ${{secrets.KEY_ALIAS}}
          KEY_PASSWORD: ${{secrets.KEY_PASSWORD}}
          STORE_PASSWORD: ${{secrets.STORE_PASSWORD}}
      - name: upload artifact to Firebase App Distribution
        uses: wzieba/Firebase-Distribution-Github-Action@v1
        with:
          appId: ${{secrets.VESSEL_HEALTH_APP_ID_STAGING}}
          token: ${{secrets.FIREBASE_TOKEN}}
          groups: 1---vessel-testers,3---swenson-he,4---quality-works
          debug: true
          file: app/build/outputs/apk/staging/release/app-staging-release.apk
